## org.eclipse.datatools.modelbase.sql.datatypes
Interface DataLinkDataType

All Superinterfaces:
  DataType, PredefinedDataType, SQLDataType, SQLObject

All Known Implementing Classes:
  DataLinkDataTypeImpl

public interface DataLinkDataType
extends PredefinedDataType

A representation of the model object 'Data Link Data Type'. Represents a link to a file/location outside the system.

The following features are supported:

- `Length`
- `Link Control`
- `Integrity Control`
- `Read Permission`
- `Write Permission`
- `Recovery`
- `Unlink`

See Also:
  `SQLDataTypesPackage.getDataLinkDataType()`

Method Summary
`IntegrityControlOption` `getIntegrityControl()` Returns the value of the 'Integrity Control' attribute.
`int` `getLength()` Returns the value of the 'Length' attribute.
`LinkControlOption` `getLinkControl()` Returns the value of the 'Link Control' attribute.
`ReadPermissionOption` `getReadPermission()` Returns the value of the 'Read Permission' attribute.
`UnlinkOption` `getUnlink()` Returns the value of the 'Unlink' attribute.
`WritePermissionOption` `getWritePermission()` Returns the value of the 'Write Permission' attribute.
`boolean` `isRecovery()` Returns the value of the 'Recovery' attribute.
`void` `setIntegrityControl(IntegrityControlOption value)` Sets the value of the '`Integrity Control`' attribute.
`void` `setLength(int value)` Sets the value of the '`Length`' attribute.
`void` `setLinkControl(LinkControlOption value)` Sets the value of the '`Link Control`' attribute.
`void` `setReadPermission(ReadPermissionOption value)` Sets the value of the '`Read Permission`' attribute.
`void` `setRecovery(boolean value)` Sets the value of the '`Recovery`' attribute.
`void` `setUnlink(UnlinkOption value)` Sets the value of the '`Unlink`' attribute.
`void` `setWritePermission(WritePermissionOption value)` Sets the value of the '`Write Permission`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.PredefinedDataType
`getPrimitiveType, setPrimitiveType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getLength

    public int getLength()

  Returns the value of the 'Length' attribute.

  If the meaning of the 'Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Length' attribute.
  See Also:
    `setLength(int)`, `SQLDataTypesPackage.getDataLinkDataType_Length()`

### setLength

    public void setLength(int value)

  Sets the value of the '`Length`' attribute.

  Parameters:
    `value` - the new value of the 'Length' attribute.
  See Also:
    `getLength()`

### getLinkControl

    public LinkControlOption getLinkControl()

  Returns the value of the 'Link Control' attribute. The literals are from the enumeration `LinkControlOption`.

  If the meaning of the 'Link Control' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Link Control' attribute.
  See Also:
    `LinkControlOption`, `setLinkControl(LinkControlOption)`, `SQLDataTypesPackage.getDataLinkDataType_LinkControl()`

### setLinkControl

    public void setLinkControl(LinkControlOption value)

  Sets the value of the '`Link Control`' attribute.

  Parameters:
    `value` - the new value of the 'Link Control' attribute.
  See Also:
    `LinkControlOption`, `getLinkControl()`

### getIntegrityControl

    public IntegrityControlOption getIntegrityControl()

  Returns the value of the 'Integrity Control' attribute. The literals are from the enumeration `IntegrityControlOption`.

  If the meaning of the 'Integrity Control' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Integrity Control' attribute.
  See Also:
    `IntegrityControlOption`, `setIntegrityControl(IntegrityControlOption)`, `SQLDataTypesPackage.getDataLinkDataType_IntegrityControl()`

### setIntegrityControl

    public void setIntegrityControl(IntegrityControlOption value)

  Sets the value of the '`Integrity Control`' attribute.

  Parameters:
    `value` - the new value of the 'Integrity Control' attribute.
  See Also:
    `IntegrityControlOption`, `getIntegrityControl()`

### getReadPermission

    public ReadPermissionOption getReadPermission()

  Returns the value of the 'Read Permission' attribute. The literals are from the enumeration `ReadPermissionOption`.

  If the meaning of the 'Read Permission' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Read Permission' attribute.
  See Also:
    `ReadPermissionOption`, `setReadPermission(ReadPermissionOption)`, `SQLDataTypesPackage.getDataLinkDataType_ReadPermission()`

### setReadPermission

    public void setReadPermission(ReadPermissionOption value)

  Sets the value of the '`Read Permission`' attribute.

  Parameters:
    `value` - the new value of the 'Read Permission' attribute.
  See Also:
    `ReadPermissionOption`, `getReadPermission()`

### getWritePermission

    public WritePermissionOption getWritePermission()

  Returns the value of the 'Write Permission' attribute. The literals are from the enumeration `WritePermissionOption`.

  If the meaning of the 'Write Permission' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Write Permission' attribute.
  See Also:
    `WritePermissionOption`, `setWritePermission(WritePermissionOption)`, `SQLDataTypesPackage.getDataLinkDataType_WritePermission()`

### setWritePermission

    public void setWritePermission(WritePermissionOption value)

  Sets the value of the '`Write Permission`' attribute.

  Parameters:
    `value` - the new value of the 'Write Permission' attribute.
  See Also:
    `WritePermissionOption`, `getWritePermission()`

### isRecovery

    public boolean isRecovery()

  Returns the value of the 'Recovery' attribute.

  If the meaning of the 'Recovery' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Recovery' attribute.
  See Also:
    `setRecovery(boolean)`, `SQLDataTypesPackage.getDataLinkDataType_Recovery()`

### setRecovery

    public void setRecovery(boolean value)

  Sets the value of the '`Recovery`' attribute.

  Parameters:
    `value` - the new value of the 'Recovery' attribute.
  See Also:
    `isRecovery()`

### getUnlink

    public UnlinkOption getUnlink()

  Returns the value of the 'Unlink' attribute. The literals are from the enumeration `UnlinkOption`.

  If the meaning of the 'Unlink' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unlink' attribute.
  See Also:
    `UnlinkOption`, `setUnlink(UnlinkOption)`, `SQLDataTypesPackage.getDataLinkDataType_Unlink()`

### setUnlink

    public void setUnlink(UnlinkOption value)

  Sets the value of the '`Unlink`' attribute.

  Parameters:
    `value` - the new value of the 'Unlink' attribute.
  See Also:
    `UnlinkOption`, `getUnlink()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.